<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.ship.SelectAction</name>
<version>4</version>
<engineversion>25</engineversion>
<description>move to a target object</description>
<arguments>
<argument index="1" name="Target" type="Var/Ship/Station" desc="Target" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>If&#160;target&#160;is&#160;enemy,&#160;attack</var></comment></line>
<line linenr="005" indent=""><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;</text><var>$Target</var><text>&#160;a&#160;enemy</text></line>
<line linenr="006" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_ATTACK</var><text>&#160;&#160;target=</text><var>$Target</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="007" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!fight.attack.object</call><text>&#160;:&#160;</text><text>&#160;the&#160;victim=</text><var>$Target</var><text>&#160;</text><text>&#160;follow&#160;in&#160;new&#160;sector=</text><var>[FALSE]</var></line>
<line linenr="008" indent="&#160;"><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_ATTACK_NEAREST</var><text>&#160;:&#160;arg1=</text><var>[THIS]</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="009" indent="&#160;"></line>
<line linenr="010" indent=""><text>else</text></line>
<line linenr="011" indent=""><comment><text>*&#160;</text><var>If&#160;friendly&#160;station</var></comment></line>
<line linenr="012" indent="&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Station</var></line>
<line linenr="013" indent="&#160;&#160;"><var>$docking.possible&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;is&#160;docking&#160;possible&#160;of&#160;</text><var>[THIS]</var></line>
<line linenr="014" indent="&#160;&#160;"><var>$docking.allowed&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;docking&#160;allowed&#160;at&#160;</text><var>$Target</var></line>
<line linenr="015" indent="&#160;&#160;"></line>
<line linenr="016" indent="&#160;&#160;"><var>if&#160;</var><var>$docking.allowed</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$docking.possible</var></line>
<line linenr="017" indent="&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_DOCKAT</var><text>&#160;&#160;target=</text><var>$Target</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="018" interruptable="@" indent="&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.fly.toStation</call><text>&#160;:&#160;</text><text>&#160;Station=</text><var>$Target</var><text>&#160;</text><text>&#160;Timeout=</text><var>null</var><text>&#160;</text><text>&#160;Active&#160;Scans=</text><var>$active.scans</var><text>&#160;</text><text>&#160;Use&#160;Safe&#160;Route=</text><var>null</var></line>
<line linenr="019" interruptable="@" indent="&#160;&#160;&#160;"><var>$msg&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.message</call><text>&#160;:&#160;</text><text>&#160;Message&#160;Number=</text><var>17</var><text>&#160;</text><text>&#160;Arg&#160;1=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;2=</text><var>$Target</var><text>&#160;</text><text>&#160;Arg&#160;3=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;4=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;5=</text><var>null</var></line>
<line linenr="020" indent="&#160;&#160;"><text>else</text></line>
<line linenr="021" indent="&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_MOVE_POS</var><text>&#160;&#160;target=</text><var>$Target</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="022" indent="&#160;&#160;&#160;"><var>$Target.Pos&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;position&#160;as&#160;array</text></line>
<line linenr="023" indent="&#160;&#160;&#160;"><var>$Target.z&#160;=&#160;</var><var>$Target.Pos</var><text>[</text><var>2</var><text>]</text></line>
<line linenr="024" indent="&#160;&#160;&#160;"><var>$Target.z&#160;=&#160;</var><var>$Target.z</var><text>&#160;</text><var>+</var><text>&#160;</text><var>3500</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$Target.Pos</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>$Target.z</var></line>
<line linenr="026" interruptable="@" indent="&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.fly.toPosition</call><text>&#160;:&#160;</text><text>&#160;Sector&#160;Position=</text><var>$Target.Pos</var><text>&#160;</text><text>&#160;Timeout=</text><var>null</var><text>&#160;</text><text>&#160;Use&#160;Safe&#160;Route=</text><var>null</var><text>&#160;</text><text>&#160;Active&#160;Scans=</text><var>$active.scans</var></line>
<line linenr="027" interruptable="@" indent="&#160;&#160;&#160;"><var>$msg&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.message</call><text>&#160;:&#160;</text><text>&#160;Message&#160;Number=</text><var>18</var><text>&#160;</text><text>&#160;Arg&#160;1=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;2=</text><var>[SECTOR]</var><text>&#160;</text><text>&#160;Arg&#160;3=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;4=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;5=</text><var>null</var></line>
<line linenr="028" indent="&#160;&#160;"><text>end</text></line>
<line linenr="029" indent="&#160;&#160;"></line>
<line linenr="030" indent=""><comment><text>*&#160;</text><var>If&#160;friendly&#160;big&#160;ship</var></comment></line>
<line linenr="031" indent="&#160;"><var>else&#160;if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Big&#160;Ship</var></line>
<line linenr="032" indent="&#160;&#160;"><var>$docking.allowed&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;docking&#160;allowed&#160;at&#160;</text><var>$Target</var></line>
<line linenr="033" indent="&#160;&#160;"><var>$docking.possible&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;is&#160;docking&#160;possible&#160;of&#160;</text><var>[THIS]</var></line>
<line linenr="034" indent="&#160;&#160;"></line>
<line linenr="035" indent="&#160;&#160;"><var>if&#160;</var><var>$docking.allowed</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$docking.possible</var></line>
<line linenr="036" indent="&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_DOCKAT</var><text>&#160;&#160;target=</text><var>$Target</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="037" interruptable="@" indent="&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.fly.toStation</call><text>&#160;:&#160;</text><text>&#160;Station=</text><var>$Target</var><text>&#160;</text><text>&#160;Timeout=</text><var>null</var><text>&#160;</text><text>&#160;Active&#160;Scans=</text><var>$active.scans</var><text>&#160;</text><text>&#160;Use&#160;Safe&#160;Route=</text><var>null</var></line>
<line linenr="038" interruptable="@" indent="&#160;&#160;&#160;"><var>$msg&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.message</call><text>&#160;:&#160;</text><text>&#160;Message&#160;Number=</text><var>17</var><text>&#160;</text><text>&#160;Arg&#160;1=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;2=</text><var>$Target</var><text>&#160;</text><text>&#160;Arg&#160;3=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;4=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;5=</text><var>null</var></line>
<line linenr="039" indent="&#160;&#160;"><text>else</text></line>
<line linenr="040" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Fighter</var></line>
<line linenr="041" indent="&#160;&#160;&#160;&#160;"><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_PROTECT</var><text>&#160;:&#160;arg1=</text><var>$Target</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="042" indent="&#160;&#160;&#160;"><text>else</text></line>
<line linenr="043" indent="&#160;&#160;&#160;&#160;"><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_FOLLOW</var><text>&#160;:&#160;arg1=</text><var>$Target</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="044" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="045" indent="&#160;&#160;"><text>end</text></line>
<line linenr="046" indent="&#160;&#160;"></line>
<line linenr="047" indent=""><comment><text>*&#160;</text><var>If&#160;other&#160;friendly&#160;follow&#160;or&#160;protect</var></comment></line>
<line linenr="048" indent="&#160;"><text>else</text></line>
<line linenr="049" indent="&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Fighter</var></line>
<line linenr="050" indent="&#160;&#160;&#160;"><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_PROTECT</var><text>&#160;:&#160;arg1=</text><var>$Target</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="051" indent="&#160;&#160;"><text>else</text></line>
<line linenr="052" indent="&#160;&#160;&#160;"><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_FOLLOW</var><text>&#160;:&#160;arg1=</text><var>$Target</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="053" indent="&#160;&#160;"><text>end</text></line>
<line linenr="054" indent="&#160;"><text>end</text></line>
<line linenr="055" indent="&#160;"></line>
<line linenr="056" indent=""><text>end</text></line>
<line linenr="057" indent=""></line>
<line linenr="058" indent=""><comment><text>*&#160;</text><var>send&#160;any&#160;message</var></comment></line>
<line linenr="059" indent=""><var>if&#160;</var><var>$msg</var></line>
<line linenr="060" indent="&#160;"><text>write&#160;to&#160;player&#160;logbook&#160;</text><var>$msg</var></line>
<line linenr="061" indent="&#160;"><text>play&#160;sample:&#160;incoming&#160;transmission&#160;</text><var>[IncomingTransmission.Greeting]</var><text>,&#160;from&#160;object&#160;</text><var>[THIS]</var></line>
<line linenr="062" indent=""><text>end</text></line>
<line linenr="063" indent=""></line>
<line linenr="064" indent=""><var>skip&#160;if&#160;</var><var>[DOCKEDAT]</var></line>
<line linenr="065" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!ship.cmd.stay.std</call><text>&#160;:&#160;</text></line>
<line linenr="066" indent=""></line>
<line linenr="067" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.ship.SelectAction" /><sval type="int" val="25" /><sval type="string" val="move to a target object" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="array" size="8"><sval type="string" val="Target" /><sval type="string" val="docking.possible" /><sval type="string" val="docking.allowed" /><sval type="string" val="arrived" /><sval type="string" val="active.scans" /><sval type="string" val="msg" /><sval type="string" val="Target.Pos" /><sval type="string" val="Target.z" /></sval><sval type="array" size="44"><sval type="array" size="6"><sval type="int" val="727" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610611453" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!fight.attack.object" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="38" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610607357" /><sval type="int" val="12" /><sval type="int" val="2016" /></sval><sval type="array" size="6"><sval type="int" val="746" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="6"><sval type="int" val="513" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609405" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.fly.toStation" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.message" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="17" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="20" /></sval><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="795" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="3500" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.fly.toPosition" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="18"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.message" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="38" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610604027" /><sval type="int" val="12" /><sval type="int" val="2073" /></sval><sval type="array" size="6"><sval type="int" val="513" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="746" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605309" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.fly.toStation" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.message" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="17" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="33" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610604541" /><sval type="int" val="12" /><sval type="int" val="2034" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="33" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="38" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610603261" /><sval type="int" val="12" /><sval type="int" val="2034" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="38" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610602237" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="400" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="5"><sval type="int" val="201" /><sval type="int" val="131075" /><sval type="int" val="302" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536859897" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="!ship.cmd.stay.std" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="22" /><sval type="string" val="Target" /></sval></sval><sval type="array" size="30"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="If target is enemy, attack" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="5" /><sval type="int" val="1" /><sval type="string" val="If friendly station" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="20" /><sval type="int" val="1" /><sval type="string" val="If friendly big ship" /></sval><sval type="array" size="2"><sval type="int" val="24" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="33" /><sval type="int" val="1" /><sval type="string" val="If other friendly follow or protect" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="38" /><sval type="int" val="1" /><sval type="string" val="send any message" /></sval><sval type="array" size="2"><sval type="int" val="41" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="41" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="2" /></sval></sval><sval type="int" val="217" /></sval>
</codearray>
</script>
